#ifndef CONFIG_H
#define CONFIG_H
#include <json-c/json_object.h>

typedef struct config_container
{
    json_object* json;
    int has_allocations : 1;
} CONFIGURATION;

int config_set(CONFIGURATION* config, const char* key, const char* value);
char* config_get(const CONFIGURATION* config, const char* key);

#endif //CONFIG_H
