#include <stdio.h>
#include "netex.h"
#include "config.h"

int srv_setup(void);

int main(int argc, char *argv[])
{
    CONFIGURATION configuration;
    config_set(&configuration, "Server.Connection.Port", "6920");
    config_set(&configuration, "Server.Connection.IP", "localhost");
    config_set(&configuration, "Global.Project.Name", "NetEx");
    config_set(&configuration, "Global.Project.Lang", "C");
    config_set(&configuration, "Global.Project.OS", "Linux");
    config_set(&configuration, "Server.Connection.db", "SQLite");
    PRINT_LINE("JSON:\n%s", json_object_to_json_string_ext(configuration.json, JSON_C_TO_STRING_SPACED | JSON_C_TO_STRING_PRETTY));

    char* proj_name = config_get(&configuration,"Global.Project.Name");
    PRINT_LINE("Project name: %s", proj_name);

    /*config_set("Server.Test", "Test value for server config");
    config_set("Server.port", "6920");*/

    netex_init();
    PRINT_LINE("Hello, server!");
    if (argc > 1)
    {
        //TODO: Handle args
    }
    if (srv_setup() != 0)
    {
        ERROR("Failed to initialize server!");
        return 0;
    }
    netex_shutdown();
    return 0;
}

void* th_srv_listen(void)
{
    for (;;)
    {
        //TODO: Listen to connections & give a thread to handle communication
    }
}

int svr_command(void)
{
    return 0;
}

int srv_setup(void)
{

    return -1;
}